Wild Life: wl_definition Struct Reference

Wild Life 2.29

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Macros
Data Fields
wl_definition Struct Reference

## Data Fields
long | date
ptr_keyword | keyword
ptr_pair_list | rule
ptr_triple_list | properties
ptr_int_list | code
ptr_int_list | parents
ptr_int_list | children
def_type | type_def
char | always_check
char | protected
char | evaluate_args
char | already_loaded
ptr_operator_data | op_data
ptr_psi_term | global_value
ptr_psi_term | init_value
ptr_definition | next

## Detailed Description

Definition at line 121 of file def_struct.h.

## Field Documentation

char wl_definition::already_loaded

Definition at line 137 of file def_struct.h.

char wl_definition::always_check

Definition at line 134 of file def_struct.h.

ptr_int_list wl_definition::children

Definition at line 131 of file def_struct.h.

ptr_int_list wl_definition::code

Definition at line 129 of file def_struct.h.

long wl_definition::date

Definition at line 122 of file def_struct.h.

char wl_definition::evaluate_args

Definition at line 136 of file def_struct.h.

ptr_psi_term wl_definition::global_value

Definition at line 141 of file def_struct.h.

ptr_psi_term wl_definition::init_value

Definition at line 142 of file def_struct.h.

ptr_keyword wl_definition::keyword

Definition at line 124 of file def_struct.h.

ptr_definition wl_definition::next

Definition at line 148 of file def_struct.h.

ptr_operator_data wl_definition::op_data

Definition at line 139 of file def_struct.h.

ptr_int_list wl_definition::parents

Definition at line 130 of file def_struct.h.

ptr_triple_list wl_definition::properties

Definition at line 127 of file def_struct.h.

char wl_definition::protected

Definition at line 135 of file def_struct.h.

ptr_pair_list wl_definition::rule

Definition at line 126 of file def_struct.h.

def_type wl_definition::type_def

Definition at line 133 of file def_struct.h.

The documentation for this struct was generated from the following file:

- def_struct.h